<?
$secure_required_level=array('user','admin');
require_once("config.php");
require_once("secure/secure.php");

$direction = basename($self);

if($direction == 'outgoing.php') {
   $chanfield = "channel";
   $otherchanfield = "dstchannel";
   $typerecord="outgoing";
   $rep_title = $lang["$language"]['out_by_channel'];
   $tagA="Outgoing";
   $tagB="Incoming";
} else {
   $chanfield = "dstchannel";
   $otherchanfield = "channel";
   $typerecord="incoming";
   $rep_title = $lang["$language"]['in_by_channel'];
   $tagB="Outgoing";
   $tagA="Incoming";
}


?>
<!-- http://devnull.house.com/quirksmode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Asternic CDR Reporting</title>
	<style type="text/css" media="screen">@import "css/basic.css";</style>
	<style type="text/css" media="screen">@import "css/tab.css";</style>
	<style type="text/css" media="screen">@import "css/table.css";</style>
	<script type="text/javascript" src="js/flashobject.js"></script>
	<script type="text/javascript" src="js/sorttable.js"></script>
	<script type="text/javascript" src="js/showobject.js"></script>
	<script type="text/javascript" src="js/myajax.js"></script>

<!--[if gte IE 5.5000]>
<style type='text/css'> img { behavior:url(pngbehavior.htc) } </style>
<![endif]-->

<!--[if IE]>
<link 
 href="css/fixed-ie.css" 
 rel="stylesheet" 
 type="text/css" 
 media="screen"> 
<script type="text/javascript"> 
onload = function() { content.focus() } 
</script> 
<![endif]-->
</head>
<?

$graphcolor  = "&bgcolor=0xF0ffff&bgcolorchart=0xdfedf3&fade1=ff6600&fade2=ff6314&colorbase=0xfff3b3&reverse=1";
$graphcolorstack = "&bgcolor=0xF0ffff&bgcolorchart=0xdfedf3&fade1=ff6600&colorbase=fff3b3&reverse=1&fade2=0x528252";
$DB_DEBUG=0;
// Counts incoming calls
$query = "select substring($otherchanfield,1,locate(\"-\",$otherchanfield,1)) as chan1,billsec,duration,duration-billsec as ringtime,$field_accountcode from cdr where  substring($otherchanfield,1,locate(\"-\",$otherchanfield,1))<>'' AND calldate >= '$start' AND calldate <= '$end' and (duration-billsec) >=0 $and_branch_condition order by $order_accountcode chan1";
$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);
while($row=db_fetch_row($res)) {
	  if($row[4]=="") {
		$row[4]="Default";
	  }
  $number_in_calls["$row[4]"]["$row[0]"]++;
}


$query = "select substring($chanfield,1,locate(\"-\",$chanfield,1)-1) as chan1,billsec,duration,duration-billsec as ringtime,src,dst,calldate,disposition,$field_accountcode,cost from cdr left join cdrcost on cdr.uniqueid=cdrcost.uniqueid where  substring($chanfield,1,locate(\"-\",$chanfield,1)-1)<>'' AND calldate >= '$start' AND calldate <= '$end' and (duration-billsec) >=0 $and_branch_condition order by $order_accountcode chan1";

$total_bill=0;
//$duration["$row[0]"]=0;
$me=true;
$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);

$departments = array();

while($row=db_fetch_row($res)) {
  if(!in_array($row[0],$items_excluded) && in_array($row[0],$items_included)) {


	  if($row[8]=="") {
		$row[8]="Default";
	  }

	  if(!in_array($row[8],$departments)) {
		array_push($departments,$row[8]);
		$billsec["$row[8]"]["$row[0]"]=0;
		$duration["$row[8]"]["$row[0]"]=0;
		$number_calls["$row[8]"]["$row[0]"]=0;
		$cost["$row[8]"]["$row[0]"]=0;
	  }

	  $billsec["$row[8]"]["$row[0]"]+=$row[1];
	  $duration["$row[8]"]["$row[0]"]+=$row[2];
	  $number_calls["$row[8]"]["$row[0]"]++;
	  $cost["$row[8]"]["$row[0]"]+=$row[9];
	  if(!isset($missed["$row[8]"]["$row[0]"])) { $missed["$row[8]"]["$row[0]"]=0; }
	  $ringing["$row[8]"]["$row[0]"]+=$row[3];
	  $total_bill+=$row[1];
	  $total_ring+=$row[3];
	  $total_cost+=$row[9];
	  $total_calls++;

	  $group_bill["$row[8]"]+=$row[1];
	  $group_ring["$row[8]"]+=$row[3];
	  $group_cost["$row[8]"]+=$row[9];
	  $group_calls["$row[8]"]++;

	  $disposition = $row[7];

      $me = ! $me;
        if($me==true) {
            $odclass="class='odd'";
        } else {
            $odclass="";
        }

	  if($dispo["$row[7]"]<>"ANSWERED" ) {
		$missed["$row[8]"]["$row[0]"]++;
	  }
  }


}

if($total_calls > 0) {
	$avg_ring_full = $total_ring / $total_calls;
} else {
	$avg_ring_full = 0;
}

$avg_ring_full = number_format($avg_ring_full,0);

$total_bill_print = seconds2minutes($total_bill);

$start_parts = split(" ", $start);
$end_parts   = split(" ", $end);

?>
<body>
<? include("menu.php"); ?>
<div id="main">
	<div id="contents">

		<TABLE width='99%' cellpadding=3 cellspacing=3 border=0>
		<THEAD>
		<TR>
			<TD valign=top width='50%'>
				<TABLE width='100%' border=0 cellpadding=0 cellspacing=0>
				<CAPTION><?=$lang["$language"]['report_info']?></CAPTION>
				<TBODY>
				<? 
					if($branch<>"" && $branch<>'All') { 
					$query="select name from branches where id='$branch'";
					$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);
					$rowq = db_fetch_row($res);
				?>
				
    	        </TR>
        	       	<TD><?=$lang["$language"]['branch']?>:</TD>
            	   	<TD><?=$rowq[0]?></TD>
				</TR>
				<? } ?>
    	        </TR>
        	       	<TD><?=$lang["$language"]['start']?>:</TD>
            	   	<TD><?=$start_parts[0]?></TD>
				</TR>
    	        </TR>
        	    <TR>
            	   	<TD><?=$lang["$language"]['end']?>:</TD>
               		<TD><?=$end_parts[0]?></TD>
	            </TR>
    	        <TR>
        	       	<TD><?=$lang["$language"]['period']?>:</TD>
            	   	<TD><?=$period?> <?=$lang["$language"]['days']?></TD>
	            </TR>
				</TBODY>
				</TABLE>

			</TD>
			<TD valign=top width='50%'>

				<TABLE width='100%' border=0 cellpadding=0 cellspacing=0>
				<CAPTION><?=$rep_title?></CAPTION>
				<TBODY>
		        <TR> 
                  <TD><?=$lang["$language"]['no_calls']?>:</TD>
		          <TD><?=$total_calls?> <?=$lang["$language"]['calls']?></TD>
	            </TR>
                <TR>
                  <TD><?=$lang["$language"]['total_time']?>:</TD>
                  <TD><?=$total_bill_print?> <?=$lang["$language"]['minutes']?></TD>
                </TR>
		        <TR>
                  <TD><?=$lang["$language"]['total_cost']?>:</TD>
		          <TD><?=$lang["$language"]['currency']?> <?=$total_cost?></TD>
	            </TR>
		        <TR>
                  <TD><?=$lang["$language"]['avg_ringtime']?>:</TD>
		          <TD><?=$avg_ring_full?> <?=$lang["$language"]['secs']?> </TD>
	            </TR>
				</TBODY>
				</TABLE>
			</TD>
		</TR>
		</THEAD>
		</TABLE>
		<BR>	
		<a name='1'></a>
		<TABLE width='99%' cellpadding=3 cellspacing=3 border=0 >
		<CAPTION>
		<a href='#0'><img src='images/go-up.png' border=0 class='icon' width=16 height=16 <? 
		echo tooltip($lang["$language"]['gotop'],200);
		?> ></a>&nbsp;&nbsp;
		<?=$rep_title?>
		</CAPTION>
			<THEAD>
			<TR>
                  <TH><?=$lang["$language"]['user']?></TH>
                  <TH><?=$lang["$language"]['count']?></TH>
                  <TH><?=$lang["$language"]['missed']?></TH>
                  <TH><?=$lang["$language"]['percent']?></TH>
                  <TH><?=$lang["$language"]['billsec']?></TH>
                  <TH><?=$lang["$language"]['percent']?> <?=$lang["$language"]['billsec']?> </TH>
                  <TH><?=$lang["$language"]['cost']?></TH>
                  <TH><?=$lang["$language"]['avg_calltime']?></TH>
                  <TH><?=$lang["$language"]['ringtime']?></TH>
                  <TH><?=$lang["$language"]['avg_ringtime']?></TH>
            </TR>
			</THEAD>
				<?
				$contador=0;
				$query1 = "";
				$query2 = "";
				if($total_bill>0) {
				foreach($billsec as $idx=>$key) {
				echo "<TBODY>\n";

				if(count($departments)>1) {
				$group_bill_print = seconds2minutes($group_bill["$idx"]);
		
				if($group_calls["$idx"]>0) {
					$avg_ring_group = $group_ring["$idx"] / $group_calls["$idx"];
				} else {
					$avg_ring_group = 0;
				}

				$avg_ring_group = number_format($avg_ring_group,0);

				$texto  = "<TABLE width=400 border=0 cellpadding=0 cellspacing=0>";
                $texto .= "<CAPTION>".$rep_title."</CAPTION>";
                $texto .= "<TBODY>";
                $texto .= "<TR class=\'section\'>";
                $texto .= "<TD>Department:";
                $texto .= "<TD>$idx</TD>";
                $texto .= "</TR>";
                $texto .= "<TR>";
                $texto .= "  <TD>".$lang["$language"]['no_calls'].":</TD>";
                $texto .= "  <TD>".$group_calls["$idx"]." ".$lang["$language"]['calls']."</TD>";
                $texto .= "</TR>";
                $texto .= "<TR>";
                $texto .= "  <TD>".$lang["$language"]['total_time'].":</TD>";
                $texto .= "  <TD>$group_bill_print ".$lang["$language"]['minutes']."</TD>";
                $texto .= "</TR>";
                $texto .= "<TR>";
                $texto .= "  <TD>".$lang["$language"]['total_cost'].":</TD>";
                $texto .= "  <TD>".$group_cost["$idx"]."</TD>";
                $texto .= "</TR>";
                $texto .= "<TR>";
                $texto .= "  <TD>".$lang["$language"]['avg_ringtime'].":</TD>";
                $texto .= "  <TD>$avg_ring_group ".$lang["$language"]['secs']." </TD>";
                $texto .= "</TR>";
                $texto .= "</TBODY>";
                $texto .= "</TABLE>";
				echo "<TR class='section'><TD colspan=10 style='text-align: left;'><a href='#' ";
				echo tooltip($texto,300);
                echo ">Department: $idx </a></TD></TR>\n";

				}
				foreach($key as $chan=>$val) {
//				foreach($billsec as $chan=>$val) {
					$contavar = $contador +1;
					$cual = $contador % 2;
					if($cual>0) { $odd = " class='odd' "; } else { $odd = ""; }
					$query1 .= "val$contavar=".$number_calls["$idx"]["$chan"]."&var$contavar=$chan&";
					$query2 .= "val$contavar=".$val."&var$contavar=$chan&";
					$query3 .= "valA$contavar=".$number_calls["$idx"]["$chan"]."&valB$contavar=".$number_in_calls["$idx"]["$chan"]."&var$contavar=$chan&";

					$ring_time = $duration["$idx"]["$chan"]-$val;
					if($number_calls["$idx"]["$chan"]>0) {
						$avg_duration  = $val / $number_calls["$idx"]["$chan"];
						$avg_ring_time = $ring_time / $number_calls["$idx"]["$chan"];
					} else {
						$avg_duration = 0;
					}
					$avg_duration = number_format($avg_duration,0);
					$avg_duration_print = seconds2minutes($avg_duration);
					$avg_ring_time = number_format($avg_ring_time,2);
					$time_print = seconds2minutes($duration["$idx"]["$chan"]);
					$cost_print = number_format($cost["$idx"]["$chan"],2);
					$bill_print = seconds2minutes($val);
					if($number_calls["$idx"]["$chan"] > 0) {
						$percent_missed = $missed["$idx"]["$chan"] * 100 / $number_calls["$idx"]["$chan"];
					} else {
						$percent_missed = 0;
					}
					$percent_missed = number_format($percent_missed,0)." ".$lang["$language"]['percent'];

					echo "<TR $odd>\n";
					echo "<TD style='text-align: left;'><a href=\"javascript:getRecords('$chan','$start','$end','$typerecord');\" "; 
					echo tooltip($lang["$language"]['detailschannel'],200);
					echo "><img src='images/loading.gif' id='loading$chan' border=0 style=\"visibility: hidden; float: left;\">";
					echo "{$dict[$chan]}</a></TD>\n";
					echo "<TD>".$number_calls["$idx"]["$chan"]."</TD>\n";
					echo "<TD>".$missed["$idx"]["$chan"]."</TD>\n";
					echo "<TD align=right>".$percent_missed."</TD>\n";
					echo "<TD>$bill_print ".$lang["$language"]['minutes']."</TD>\n";
					$percentage_bill = $val * 100 / $total_bill;
					$percentage_bill = number_format($percentage_bill,2);
					echo "<TD>$percentage_bill ".$lang["$language"]['percent']."</TD>\n";
					echo "<TD>".$lang["$language"]['currency']." ".$cost_print."</TD>\n";
					echo "<TD>$avg_duration_print ".$lang["$language"]['minutes']."</TD>\n";
					echo "<TD>$ring_time ".$lang["$language"]['secs']."</TD>\n";
					echo "<TD>$avg_ring_time ".$lang["$language"]['secs']."</TD>\n";
                	echo "</TR>\n";
					echo "<TR style='display: none;' id='$chan'><td colspan=10>";
					echo "<span id='table${chan}table'></span>\n";
					/*
					echo "<TABLE width='99%' cellpadding=3 cellspacing=3 border=0 id='table${chan}table' class='sortable'>\n";
                    echo "<THEAD><TR><TH>".$lang["$language"]['date']."</TH>\n";
					echo "<TH>".$lang["$language"]['from']."</TH>\n";
					echo "<TH>".$lang["$language"]['to']."</TH>\n";
					echo "<TH>".$lang["$language"]['billsec']."</TH><TH>".$lang["$language"]['ring']."</TH>";
                    echo "<TH>Disposition</TH></TR></THEAD>\n";
                    echo "<TBODY>".$detail["$chan"]."</TBODY></TABLE>";
					*/

                    echo "</TD></TR>";
					$contador++;
				}
				
				$query1.="title=".$rep_title."$graphcolor";
				$query2.="title=".$lang["$language"]['duration_by_channel']."$graphcolor";
				$query3.="title=".$lang["$language"]['in_out_by_channel']."$graphcolorstack&tagA=$tagA&tagB=$tagB";
				}
				}
				?>
			</TBODY>
        </TABLE>
            <? if($total_bill<0) {
                print_exports($header_pdf,$data_pdf,$width_pdf,$title_pdf,$cover_pdf);
				}


            ?>

		<BR>	
			<?
			if($total_bill>0) {

				echo "<TABLE class='pepa' width='99%' cellpadding=3 cellspacing=3 border=0>\n";
				echo "<THEAD>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query1,718,433,"chart1",0);
				echo "</TD></TR>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query2,718,433,"chart2",0);
				echo "</TD></TR>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query3,718,433,"chart3",1);
				echo "</TD></TR>\n";
				echo "</THEAD>\n";
				echo "</TABLE><BR>\n";
			}
			?>

</div>
</div>
</div>
</div>
<script type="text/javascript" src="js/wz_tooltip.js"></script>
</body>
</html>
