<?

$error="";

if(!isset($_POST['user'])) {
   $user="";
   $password="";
} else {
   $user=$_POST["user"];
   $password=$_POST["password"];

   $row = checkPass($user, $password);

   if(isset($row['error_message'])) { 
      $error = 'login_error';
   } else {
      initSession($user,$row[0],$row[1]);
      header("Location: ".$_SERVER['PHP_SELF']);
   }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <style type="text/css" media="screen">@import "css/basic.css";</style>
    <style type="text/css" media="screen">@import "css/tab.css";</style>
    <style type="text/css" media="screen">@import "css/fixed-new.css";</style>
        <script type="text/javascript" src="js/mootools.v1.11.js"></script>
        <script type="text/javascript" src="js/growl.js"></script>
        <script type="text/javascript" src="js/apli.js"></script>
        <link rel="stylesheet" href="css/form.css" media="screen" />

<!--[if lt IE 7]>
<script defer type="text/javascript" src="pngfix.js"></script>
<![endif]-->

</head>
<body>
<?
if($error<>"") {
   $error_db = $error;
}
if($_SESSION['CDRSTATS']['notenough']==1) {
   $yellow_box=$lang["$language"]['no_privileges'];
}

include("menu.php");

?>
<form id="login-form" method="post" action="<?=$_SERVER['PHP_SELF']?>">

<fieldset>
<legend>
<?=$lang["$language"]['login_form']?>
</legend>

<label for="user">
<?=$lang["$language"]['user']?><br/>
<input type="text" name="user" id="user" value='<?=$user?>'/>
</label>

<label for="password">
<?=$lang["$language"]['password']?><br/>
<input type="password" name="password" id="password" value='<?=$password?>'/>
</label>

<input type='submit' value='<?=$lang["$language"]['login']?>' class="btn" name='submit' />

</fieldset>
</form>
<?include("footer.php");?>
</body>
</html>

