DELIMITER |
DROP TRIGGER IF EXISTS cdr_insert;
CREATE TRIGGER cdr_insert
  AFTER INSERT ON cdr FOR EACH ROW BEGIN
    DECLARE new_dst varchar(80);
    IF NEW.billsec > 0 THEN
      CALL fix_number(NEW.dst,@fixed_dst);
      CALL get_rate(@fixed_dst,NEW.dstchannel,NEW.billsec,@myname,@final_cost);
      INSERT INTO cdrcost (uniqueid,destination,cost) VALUES (NEW.uniqueid,@myname,@final_cost);
      INSERT INTO normalization (destination,fixed,dstchannel) VALUES (NEW.dst,@fixed_dst,NEW.dstchannel);
    END IF;
  END|
DELIMITER ;
