/* Create a new XMLHttpRequest object to talk to the Web server */
var xmlHttp = false;

/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try {
  xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
} catch (e) {
  try {
    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  } catch (e2) {
    xmlHttp = false;
  }
}
@end @*/

if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
  xmlHttp = new XMLHttpRequest();
}

function getRates(name,prefix) {

 	 document.getElementById("loading").style.visibility = "visible";
  	 var url = "getrates.php?name=" + escape(name) + "&prefix=" + escape(prefix);

   	  // Open a connection to the server
	  xmlHttp.open("GET", url, true);

	  // Setup a function for the server to run when it's done
	  xmlHttp.onreadystatechange = updatePage;
	  xmlHttp.send(null);

}

function updatePage() {
  if (xmlHttp.readyState == 4) {
    var response = xmlHttp.responseText;
	document.getElementById('tablerates').innerHTML = response;
	document.getElementById("loading").style.visibility = "hidden";
    $("input").not(".select").bind("blur",foco);
  }
}

var foco = function(){ 
    var clip = ExtraeNumeroClip(this.name);
	var prefix=document.forms[0].elements["prefix_"+clip].value;
	var name=document.forms[0].elements["name_"+clip].value;
	var cost=document.forms[0].elements["cost_"+clip].value;
	var url="updaterates.php?prefix=" + escape(prefix) + "&name=" + escape(name) + "&cost=" + escape(cost);
    xmlHttp.open("GET", url, true);

    // Setup a function for the server to run when it's done
    xmlHttp.onreadystatechange = editOK;
    xmlHttp.send(null);

};

function editOK() {
  return;
}

function ExtraeNumeroClip(name) {
        var destino = "";
        for (var s = 0; s<name.length; s++) {
                var c = name.charAt(s);
                if (c<"0" || c>"9") {
                } else {
                        destino = destino+""+c;
                }
                if (c == ".") {
                        destino = "";
                }
        }
        return destino;
}

