use asterisk;

CREATE TABLE `rates` (
  `ratesid` int(16) NOT NULL auto_increment,
  `prefix` varchar(14) character set latin1 default NULL,
  `name` varchar(80) character set latin1 default NULL,
  `cost` float(6,4) default NULL,
  `connectcost` float(6,4) default NULL,
  `includedsecond` int(16) default NULL,
  `step` int(12) default NULL,
  `trunk` varchar(200) character set latin1 default NULL,
  PRIMARY KEY  (`ratesid`),
  UNIQUE KEY `trunkprefix` (`prefix`,`trunk`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `cdrcost`;
CREATE TABLE `cdrcost` (
  `id` int(11) NOT NULL auto_increment,
  `uniqueid` varchar(32) default NULL,
  `destination` varchar(80) default NULL,
  `cost` decimal(6,2) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

