<?
$secure_required_level=array('user','admin');
require_once("config.php");
require_once("secure/secure.php");
header("Content-type: text/html; charset=utf-8");
?>
<!-- http://devnull.house.com/quirksmode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Asternic CDR Reporting</title>
	<style type="text/css" media="screen">@import "css/basic.css";</style>
	<style type="text/css" media="screen">@import "css/tab.css";</style>
	<style type="text/css" media="screen">@import "css/table.css";</style>
	<script type="text/javascript" src="js/flashobject.js"></script>
	<script type="text/javascript" src="js/sorttable.js"></script>
	<script type="text/javascript" src="js/showobject.js"></script>
	<script type="text/javascript" src="js/myajax.js"></script>

<!--[if gte IE 5.5000]>
<style type='text/css'> img { behavior:url(pngbehavior.htc) } </style>
<![endif]-->

<!--[if IE]>
<link 
 href="css/fixed-ie.css" 
 rel="stylesheet" 
 type="text/css" 
 media="screen"> 
<script type="text/javascript"> 
onload = function() { content.focus() } 
</script> 
<![endif]-->
</head>
<?

$graphcolor  = "&bgcolor=0xF0ffff&bgcolorchart=0xdfedf3&fade1=ff6600&fade2=ff6314&colorbase=0xfff3b3&reverse=1";
$graphcolorstack = "&bgcolor=0xF0ffff&bgcolorchart=0xdfedf3&fade1=ff6600&colorbase=fff3b3&reverse=1&fade2=0x528252";

$start_parts = split(" ", $start);
$end_parts   = split(" ", $end);

// 50 longest calls
$query = "select substring(channel,1,locate(\"-\",channel,1)-1) as chan1,billsec,duration,duration-billsec as ringtime,src,dst,calldate,disposition,cost,destination from cdr left join cdrcost on cdr.uniqueid=cdrcost.uniqueid where calldate >= '$start' AND calldate <= '$end' and (duration-billsec) >=0 $and_branch_condition order by billsec desc";

$total_longest=0;
$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);
$me = true;
$contador=0;
while($contador<50 && $row=db_fetch_row($res)) {
  if(!in_array($row[0],$items_excluded)) {

      $me = ! $me;
      if($me==true) {
          $odclass="class='odd'";
      } else {
          $odclass="";
      }

	  $total_longest++;

	  $disposition = $row[7];
	  $contador++;

	  $detail_longest.= "<TR $odclass><TD>$contador</TD><TD style='text-align: center;' >".$row[6]."</TD><TD style='text-align: left'>".$row[0]."</TD><TD>$row[5]</TD><TD>$row[9]</TD><TD align=right>".seconds2minutes($row[1])." ".$lang["$language"]['minutes']."</TD><TD align=right>".$row[3]." ".$lang["$language"]['secs']."</TD><TD>".$lang["$language"]["currency"]." $row[8]</TD><TD style='text-align: center;'>";
      if($dispo["$row[7]"]=="NO ANSWER" || $dispo["$row[7]"]=="FAILED") {
		$detail_longest.="<span style='color: red;'>";
	  } elseif($dispo["$row[7]"]=="BUSY") {
		$detail_longest.="<span style='color: orange;'>";
	  } else {
		$detail_longest.="<span style='color: green;'>";
	  }
	  $detail_longest.= $dispo["$row[7]"];
      $detail_longest.= "</span></TD></TR>\n";
  }
}

// 50 most expensive calls
$query = "select substring(channel,1,locate(\"-\",channel,1)-1) as chan1,billsec,duration,duration-billsec as ringtime,src,dst,calldate,disposition,cost,destination from cdr left join cdrcost on cdr.uniqueid=cdrcost.uniqueid where calldate >= '$start' AND calldate <= '$end' and (duration-billsec) >=0 $and_branch_condition order by cost desc";
$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);
$me = true;
$contador=0;
while($contador<50 && $row=db_fetch_row($res)) {
  if(!in_array($row[0],$items_excluded)) {

      $me = ! $me;
      if($me==true) {
          $odclass="class='odd'";
      } else {
          $odclass="";
      }

	  $total_expensive++;

	  $disposition = $row[7];
	  $contador++;
	  $detail_expensive.= "<TR $odclass><TD>$contador</TD><TD style='text-align: center;' >".$row[6]."</TD><TD style='text-align: left'>".$row[0]."</TD><TD>$row[5]</TD><TD>$row[9]</TD><TD align=right>".seconds2minutes($row[1])." ".$lang["$language"]['minutes']."</TD><TD align=right>".$row[3]." ".$lang["$language"]['secs']."</TD><TD>".$lang["$language"]["currency"]." $row[8]</TD><TD style='text-align: center;'>";
      if($dispo["$row[7]"]=="NO ANSWER" || $dispo["$row[7]"]=="FAILED") {
		$detail_expensive.="<span style='color: red;'>";
	  } elseif($dispo["$row[7]"]=="BUSY") {
		$detail_expensivet.="<span style='color: orange;'>";
	  } else {
		$detail_expensive.="<span style='color: green;'>";
	  }
	  $detail_expensive.= $dispo["$row[7]"];
      $detail_expensive.= "</span></TD></TR>\n";
  }
}

// top 50 most called numbers
$query="select count(*),sum(billsec),dst from cdr where length(dst)>$outside_number_length AND (disposition='ANSWERED' OR disposition='4') AND calldate >= '$start' AND calldate <= '$end' $and_branch_condition group by dst order by 1 desc limit 50";
$res = consulta_db($query,$DB_DEBUG,$DB_MUERE);
while($row = db_fetch_row($res)) {
	  $segundos = seconds2minutes($row[1]);
	  $detail_mostcalled.= "<TR $odclass><TD>$row[0]</TD><TD>$segundos ".$lang["$language"]['minutes']."</TD><TD style='text-align: center;' >".$row[2]."</TD></TR>\n";
}


?>
<body>
<? include("menu.php"); ?>
<div id="main">
	<div id="contents">

		<TABLE width='99%' cellpadding=3 cellspacing=3 border=0>
		<THEAD>
		<TR>
			<TD valign=top width='50%'>
				<TABLE width='100%' border=0 cellpadding=0 cellspacing=0>
				<CAPTION><?=$lang["$language"]['report_info']?></CAPTION>
				<TBODY>
    	        </TR>
        	       	<TD><?=$lang["$language"]['start']?>:</TD>
            	   	<TD><?=$start_parts[0]?></TD>
				</TR>
    	        </TR>
        	    <TR>
            	   	<TD><?=$lang["$language"]['end']?>:</TD>
               		<TD><?=$end_parts[0]?></TD>
	            </TR>
    	        <TR>
        	       	<TD><?=$lang["$language"]['period']?>:</TD>
            	   	<TD><?=$period?> <?=$lang["$language"]['days']?></TD>
	            </TR>
				</TBODY>
				</TABLE>

			</TD>
			<TD width='50%'>
			&nbsp;
			</TD>
		</TR>
		</THEAD>
		</TABLE>
		<BR>	

<?
echo "<a name='1'></a><TABLE width='99%' cellpadding=3 cellspacing=3 border=0 id='table${chan}' class='sortable'>\n";
echo "<CAPTION>";
echo "<a href='#0'><img src='images/go-up.png' border=0 class='icon' width=16 height=16 "; 
echo tooltip($lang["$language"]['gotop'],200);
echo "></a>&nbsp;&nbsp;";
echo $lang["$language"]['top50_longest']."</CAPTION>\n";
echo "<THEAD><TR><TH>#</TH><TH>".$lang["$language"]['date']."</TH>\n";
echo "<TH>".$lang["$language"]['from']."</TH>\n";
echo "<TH>".$lang["$language"]['to']."</TH>\n";
echo "<TH>".$lang["$language"]['to']."</TH>\n";
echo "<TH>".$lang["$language"]['billsec']."</TH><TH>".$lang["$language"]['ring']."</TH>";
echo "<TH>Cost</TH>\n";
echo "<TH>Disposition</TH></TR></THEAD>\n";
echo "<TBODY>".$detail_longest."</TBODY></TABLE>";

echo "\n\n<a name='2'></a><TABLE width='99%' cellpadding=3 cellspacing=3 border=0 id='table${chan}' class='sortable'>\n";
echo "<CAPTION>";
echo "<a href='#0'><img src='images/go-up.png' border=0 class='icon' width=16 height=16 "; 
echo tooltip($lang["$language"]['gotop'],200);
echo "></a>&nbsp;&nbsp;";
echo $lang["$language"]['top50_expensive']."</CAPTION>\n";
echo "<THEAD><TR><TH>#</TH><TH>".$lang["$language"]['date']."</TH>\n";
echo "<TH>".$lang["$language"]['from']."</TH>\n";
echo "<TH>".$lang["$language"]['to']."</TH>\n";
echo "<TH>".$lang["$language"]['to']."</TH>\n";
echo "<TH>".$lang["$language"]['billsec']."</TH><TH>".$lang["$language"]['ring']."</TH>";
echo "<TH>Cost</TH>\n";
echo "<TH>Disposition</TH></TR></THEAD>\n";
echo "<TBODY>".$detail_expensive."</TBODY></TABLE>";

echo "\n\n<a name='3'></a>\n<TABLE width='99%' cellpadding=3 cellspacing=3 border=0 id='table${chan}' class='sortable'>\n";
echo "<CAPTION>";
echo "<a href='#0'><img src='images/go-up.png' border=0 class='icon' width=16 height=16 "; 
echo tooltip($lang["$language"]['gotop'],200);
echo "></a>&nbsp;&nbsp;";
echo $lang["$language"]['top50_mostcalled']."</CAPTION>\n";
echo "<THEAD><TR><TH>".$lang["$language"]['times']."</TH><TH>".$lang["$language"]['billsec']."</TH><TH>".$lang["$language"]['dialed_number']."</TH>\n";
echo "</TR></THEAD>\n";
echo "<TBODY>".$detail_mostcalled."</TBODY></TABLE>";



            ?>

		<BR>	
			<?
			if($total_longest<0) {

				echo "<TABLE class='pepa' width='99%' cellpadding=3 cellspacing=3 border=0>\n";
				echo "<THEAD>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query1,718,433,"chart1",0);
				echo "</TD></TR>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query2,718,433,"chart2",0);
				echo "</TD></TR>\n";
				echo "<TR><TD align=center bgcolor='#fffdf3' width='100%'>\n";
				swf_bar($query3,718,433,"chart3",1);
				echo "</TD></TR>\n";
				echo "</THEAD>\n";
				echo "</TABLE><BR>\n";
			}
			?>

</div>
</div>
</div>
</div>
<script type="text/javascript" src="js/wz_tooltip.js"></script>
</body>
</html>
